////////////////////////////////////////////////////////////////////// 
// mach2qtl/CalculateResiduals.h 
// (c) 2000-2007 Goncalo Abecasis
// 
// This file is distributed as part of the Goncalo source code package   
// and may not be redistributed in any form, without prior written    
// permission from the author. Permission is granted for you to       
// modify this file for your own personal use, but modified versions  
// must retain this copyright notice and must not be distributed.     
// 
// Permission is granted for you to use this file to compile Goncalo.    
// 
// All computer programs have bugs. Use this file at your own risk.   
// 
// Saturday August 11, 2007
// 
 
#ifndef __CALCULATE_RESIDUALS_H__
#define __CALCULATE_RESIDUALS_H__

#include "MathVector.h"

class Pedigree;

class CalculateResiduals
   {
   public:
      CalculateResiduals();
      ~CalculateResiduals();

      void FitLinearModels(Pedigree & ped);

      static bool   useCovariates;

      Vector * coefficients;
      Vector   heritabilities;
      Vector   variances;
      Vector   means;
   };

#endif


 
